#
# spec file for package perl-Lingua-PT-Stemmer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-PT-Stemmer
Version:        0.02
Release:        1.32
%define cpan_name Lingua-PT-Stemmer
Summary:        Portuguese language stemming
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-PT-Stemmer/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module implements a Portuguese stemming algorithm proposed in the
paper *A Stemming Algorithm for the Portuguese Language* by *Moreira, V.*
and *Huyck, C.*

The eight steps of stemming algorithm are listed as follows:

* * Plural Reduction

* * Feminine Reduction

* * Adverb Reduction

* * Augmentative/Diminutive Reduction

* * Noun Suffix Reduction

* * Verb Suffix Reduction

* * Vowel Reduction

* * Accents Removal

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Feb 13 2016 coolo@suse.com
- updated to 0.02
  see /usr/share/doc/packages/perl-Lingua-PT-Stemmer/Changes
* Wed Dec  3 2014 coolo@suse.com
- redo packaging
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Fri Aug 15 2008 lrupp@suse.de
- initial version 0.0.1
